import Image, { StaticImageData } from "next/image";
import "./AuthHeader.scss";

interface IAuthHeaderProps {
  title: string;
  description: string;
  icon: StaticImageData;
}

const AuthHeader: React.FC<IAuthHeaderProps> = ({
  title,
  description,
  icon,
}: IAuthHeaderProps) => {
  return (
    <div className="auth-header">
      <div className="auth-header__icon">
        <Image src={icon} alt="Auth Icon" />
      </div>

      <div className="auth-header__text">
        <h2>{title}</h2>
        <p>{description}</p>
      </div>
    </div>
  );
};

export default AuthHeader;
